www.cendio.com
Bug 1784 - pulseaudio.exe should flush stderr output
: pulseaudio.exe should flush stderr output
Status: CLOSED FIXED
: ThinLinc
Sound
: trunk
: PC Windows
: P2 Enhancement
: 4.1.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2006-01-13 14:47 by
Modified: 2013-10-24 10:46 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2006-01-13 14:47:03
Using pipes to capture stdout/stderr is a bit of a pain on Windows. So
currently
we ignore any output from polypaudio. To ease debugging it would be nice to see
what is going on though, so we should try to use polypaudio's ability to log to
file.
------- Comment #1 From cendio 2008-06-24 14:46:18 -------
Continuation of 2820. PA logs to stderr, but apparently, stderr is buffered on
Windows. A fflush() in it's log.c should probably fix this. 
------- Comment #2 From cendio 2013-07-10 12:48:34 -------
You can also turn off buffering. We have a hack in OpenSSH that does this.
------- Comment #3 From cendio 2013-07-19 13:29:09 -------
This was fixed by upstream when we upgraded to 2.1.
------- Comment #4 From cendio 2013-10-21 11:21:08 -------
Works fine.